import request from '@/utils/request'
//告警次数
export function getAlarm(data) {
  return request({
    url: '/statistics/alarmNumber',
    method: 'post',
    data
  })
}
//告警类型
export function getAlarmType(data) {
  return request({
    url: '/statistics/alarmRatio',
    method: 'post',
    data
  })
}
//安全天数、营业状态
export function getStateList(data) {
  return request({
    url: '/swap/other',
    method: 'post',
    data
  })
}
//设置营业状态
export function setBusiness(data) {
  return request({
    url: '/swap/setBusiness',
    method: 'post',
    data
  })
}
//云端连接状态
export function cloudState() {
  return request({
    url: '/swap/cloudConnState',
    method: 'post',
  })
}
//换电曲线
export function changePower(data) {
  return request({
    url: '/statistics/swapCurve',
    method: 'post',
    data
  })
}
//处置告警消防换仓
export function getfireProtection(data){
  return request({
    url: '/device/fireProtection',
    method: 'post',
    data
  })
}
//实时消防告警
export function getwarnList(){
  return request({
    url: '/alarm/toDayAlarm',
    method: 'post',
  })
}
//查询温度
export function serchTemp(){
  return request({
    url: '/alarm/queryTemp',
    method: 'post',
  })
}
//设置温度
export function setTemp(data){
  return request({
    url: `/alarm/setTemp?temp=${data}`,
    method: 'post',
  })
}
//获取换电站编号
export function getStationCode(){
  return request({
    url: '/swap/getStationCode',
    method: 'post',
  })
}